Bug 11169 - idmap_rid example config results in failed group mappings
idmap_rid example config results in failed group mappings
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Documentation
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba Documentation QA Contact~
Depends on:
  Show dependency treegraph
Reported: 2015-03-17 15:01 UTC by David Disseldorp
Modified: 2015-03-27 20:13 UTC (History)
2 users (show)

See Also:

fix for 4.2.next (1.58 KB, patch)
2015-03-17 15:04 UTC, David Disseldorp
obnox: review+
jra: review+
fix for 4.1.next (1.58 KB, patch)
2015-03-17 15:06 UTC, David Disseldorp
obnox: review+
jra: review+

Note You need to log in before you can comment on or make changes to this bug.
Description David Disseldorp 2015-03-17 15:01:05 UTC
In Samba 4.1 and 4.2, the idmap_rid.8 man page includes:

       base_rid = INTEGER
       A good value for the base_rid can be 1000, since user RIDs by default start at 1000 (512 hexadecimal).
                idmap config TRUSTED : backend  = rid
                idmap config TRUSTED : range    = 50000 - 99999
                idmap config TRUSTED : base_rid = 1000

The base_rid option has been deprecated for some time. Specifying a value of 1000 (as recommended in the parameter description and example section) can result in failed mapping of group SIDs, where RIDs do not start at 1000.

This was fixed in the master branch via:

commit 8466587c589f01d59294be36ad0b347f5d82a11f
Author: David Disseldorp <ddiss@samba.org>
Date:   Fri Jan 16 16:21:24 2015 +0100

    docs/idmap_rid: remove deprecated base_rid from example

This bug will track the merge of this change to the 4.1 and 4.2 maintenance branches.
Comment 1 David Disseldorp 2015-03-17 15:04:42 UTC
Created attachment 10876 [details]
fix for 4.2.next
Comment 2 David Disseldorp 2015-03-17 15:06:29 UTC
Created attachment 10877 [details]
fix for 4.1.next
Comment 3 Michael Adam 2015-03-17 15:41:32 UTC
Thanks David!
If I can assume your implicit review+, we can pass this on to Karolin directly.
Comment 4 David Disseldorp 2015-03-17 15:43:37 UTC
(In reply to Michael Adam from comment #3)
Thanks Michael! Reassigning to Karolin for maintenance merge...
Comment 5 Karolin Seeger 2015-03-23 20:12:11 UTC
Pushed to autobuild-v4-[1|2]-test.
Comment 6 Karolin Seeger 2015-03-27 20:13:37 UTC
(In reply to Karolin Seeger from comment #5)
Pushed to both branches.
Closing out bug report.